Debian Bug report logs - #690551
libcurl3-gnutls: git fails for https repos

version graph

Package: libcurl3-gnutls; Maintainer for libcurl3-gnutls is Alessandro Ghedini <ghedo@debian.org>; Source for libcurl3-gnutls is src:curl.

Reported by: Milan Broz <gmazyland@gmail.com>

Date: Mon, 15 Oct 2012 13:09:02 UTC

Severity: important

Tags: fixed-upstream, upstream

Merged with 690578, 690967

Found in version curl/7.28.0-1

Fixed in version 7.28.0-2

Done: Alessandro Ghedini <al3xbio@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://curl.haxx.se/mail/lib-2012-10/0130.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#690551; Package libcurl3-gnutls. (Mon, 15 Oct 2012 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Broz <gmazyland@gmail.com>:
New Bug report received and forwarded. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Mon, 15 Oct 2012 13:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Milan Broz <gmazyland@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcurl3-gnutls: git fails for https repos
Date: Mon, 15 Oct 2012 15:07:43 +0200
Package: libcurl3-gnutls
Version: 7.28.0-1
Severity: important

After updating to libcurl3-gnutls=7.28.0-1, all git commands fail for https repos.
Downgrade to 7.26.0-1 (only libcurl3-gnutls) solves the problem.
e.g.

$ GIT_CURL_VERBOSE=1  git clone https://code.google.com/p/cryptsetup/

Cloning into 'cryptsetup'...
* About to connect() to code.google.com port 443 (#0)
*   Trying 173.194.69.102...
* 0x6df5a0 is at send pipe head!
* STATE: CONNECT => WAITCONNECT handle 0x6e83b0; (connection #0) 
* Connected to code.google.com (173.194.69.102) port 443 (#0)
* Connected to code.google.com (173.194.69.102) port 443 (#0)
* found 152 certificates in /etc/ssl/certs/ca-certificates.crt
* STATE: WAITCONNECT => PROTOCONNECT handle 0x6e83b0; (connection #0) 
*        server certificate verification OK
*        common name: *.google.com (matched)
*        server certificate expiration date OK
*        server certificate activation date OK
*        certificate public key: RSA
*        certificate version: #3
*        subject: C=US,ST=California,L=Mountain View,O=Google Inc,CN=*.google.com
*        start date: Thu, 27 Sep 2012 01:23:05 GMT

*        expire date: Fri, 07 Jun 2013 19:43:27 GMT

*        issuer: C=US,O=Google Inc,CN=Google Internet Authority
*        compression: NULL
*        cipher: ARCFOUR-128
*        MAC: SHA1
* STATE: PROTOCONNECT => DO handle 0x6e83b0; (connection #0) 
> GET /p/cryptsetup/info/refs?service=git-upload-pack HTTP/1.1
User-Agent: git/1.7.10.4
Host: code.google.com
Accept: */*
Pragma: no-cache

* STATE: DO => DO_DONE handle 0x6e83b0; (connection #0)
* STATE: DO_DONE => WAITPERFORM handle 0x6e83b0; (connection #0)
* STATE: WAITPERFORM => PERFORM handle 0x6e83b0; (connection #0)
* additional stuff not fine transfer.c:1037: 0 0
* HTTP 1.1 or later with persistent connection, pipelining supported
< HTTP/1.1 200 OK
< Content-Type: application/x-git-upload-pack-advertisement
< Expires: Fri, 01 Jan 1980 00:00:00 GMT
< Pragma: no-cache
< Cache-Control: no-cache, max-age=0, must-revalidate
< X-Content-Type-Options: nosniff
< Date: Mon, 15 Oct 2012 12:53:06 GMT
< Server: git_frontend
< Content-Length: 1044
< X-XSS-Protection: 1; mode=block
<
* STATE: PERFORM => DONE handle 0x6e83b0; (connection #0)
* Connection #0 to host code.google.com left intact
* Expire cleared
* About to connect() to code.google.com port 443 (#0)
*   Trying 173.194.69.139...
* connected
* Connected to code.google.com (173.194.69.139) port 443 (#0)
* found 152 certificates in /etc/ssl/certs/ca-certificates.crt
* SSL re-using session ID
* failed to get server cert
* Closing connection #0
error: RPC failed; result=51, HTTP code = 0
fatal: The remote end hung up unexpectedly


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5.4 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcurl3-gnutls depends on:
ii  libc6              2.13-35
ii  libgcrypt11        1.5.0-3
ii  libgnutls26        2.12.20-1
ii  libgssapi-krb5-2   1.10.1+dfsg-2
ii  libidn11           1.25-2
ii  libldap-2.4-2      2.4.31-1
ii  librtmp0           2.4+20111222.git4e06e21-1
ii  libssh2-1          1.4.2-1.1
ii  multiarch-support  2.13-35
ii  zlib1g             1:1.2.7.dfsg-13

Versions of packages libcurl3-gnutls recommends:
ii  ca-certificates  20120623

libcurl3-gnutls suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#690551; Package libcurl3-gnutls. (Mon, 15 Oct 2012 14:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Mon, 15 Oct 2012 14:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 690551@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: libcurl development <curl-library@cool.haxx.se>
Cc: 690551@bugs.debian.org
Subject: Re: Bug#690551: libcurl3-gnutls: git fails for https repos (fwd)
Date: Mon, 15 Oct 2012 16:13:56 +0200
[Message part 1 (text/plain, inline)]
On 10/15, Daniel Stenberg wrote:
> Ouch...
> 
> This was just posted to the debian bug tracker system. I figure some
> bisecting could be a good excercise here:

After a quick bisect:

ee3551e45e60856eb0b779aa6cd34d77f16208a5 is the first bad commit
commit ee3551e45e60856eb0b779aa6cd34d77f16208a5
Author: Alessandro Ghedini <al3xbio@gmail.com>
Date:   Mon Aug 20 16:47:48 2012 +0200

    gnutls: do not fail on non-fatal handshake errors
    
    Bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685402

D'oh. The attached patch seems to fix this.

Cheers

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[0001-gnutls-put-reset-code-into-else-block.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://curl.haxx.se/mail/lib-2012-10/0130.html'. Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Mon, 15 Oct 2012 19:03:04 GMT) Full text and rfc822 format available.

Merged 690551 690578 Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Mon, 15 Oct 2012 19:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#690551; Package libcurl3-gnutls. (Mon, 15 Oct 2012 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Stenberg <daniel@haxx.se>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Mon, 15 Oct 2012 22:33:03 GMT) Full text and rfc822 format available.

Message #19 received at 690551@bugs.debian.org (full text, mbox):

From: Daniel Stenberg <daniel@haxx.se>
To: libcurl development <curl-library@cool.haxx.se>
Cc: 690551@bugs.debian.org
Subject: Re: Bug#690551: libcurl3-gnutls: git fails for https repos (fwd)
Date: Tue, 16 Oct 2012 00:19:21 +0200 (CEST)
On Mon, 15 Oct 2012, Alessandro Ghedini wrote:

> D'oh. The attached patch seems to fix this.

Thanks, applied and pushed!

-- 

 / daniel.haxx.se



Added tag(s) fixed-upstream. Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 08:54:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Tony Houghton <h@realh.co.uk> to control@bugs.debian.org. (Fri, 19 Oct 2012 16:54:15 GMT) Full text and rfc822 format available.

Merged 690551 690578 690967 Request was from Tony Houghton <h@realh.co.uk> to control@bugs.debian.org. (Fri, 19 Oct 2012 16:54:17 GMT) Full text and rfc822 format available.

Merged 690551 690578 690764 690967 Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Sat, 20 Oct 2012 14:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#690551; Package libcurl3-gnutls. (Sun, 21 Oct 2012 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dwayne Litzenberger <dlitz@dlitz.net>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Sun, 21 Oct 2012 22:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 690551@bugs.debian.org (full text, mbox):

From: Dwayne Litzenberger <dlitz@dlitz.net>
To: 690551@bugs.debian.org
Subject: Re: Bug#690551: libcurl3-gnutls: git fails for https repos
Date: Sun, 21 Oct 2012 15:38:47 -0700
Alessandro,

Could you please post a fixed package for this today, or ask someone to 
NMU it for you, if you're too busy?  Git has been nearly unusable in sid 
for almost a week because of this bug.

- Dwayne

-- 
Dwayne C. Litzenberger <dlitz@dlitz.net>
 OpenPGP: 19E1 1FE8 B3CF F273 ED17  4A24 928C EC13 39C2 5CF7



Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#690551; Package libcurl3-gnutls. (Mon, 22 Oct 2012 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Mon, 22 Oct 2012 11:54:03 GMT) Full text and rfc822 format available.

Message #37 received at 690551@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: Dwayne Litzenberger <dlitz@dlitz.net>, 690551@bugs.debian.org
Subject: Re: Bug#690551: libcurl3-gnutls: git fails for https repos
Date: Mon, 22 Oct 2012 13:51:10 +0200
[Message part 1 (text/plain, inline)]
On 10/21, Dwayne Litzenberger wrote:
> Alessandro,
> 
> Could you please post a fixed package for this today, or ask someone
> to NMU it for you, if you're too busy?  Git has been nearly unusable
> in sid for almost a week because of this bug.

I was waiting for the new upstream release which should happen this week, though
I guess uploading a little earlier won't hurt.

Cheers

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Mon, 22 Oct 2012 13:36:05 GMT) Full text and rfc822 format available.

Notification sent to Milan Broz <gmazyland@gmail.com>:
Bug acknowledged by developer. (Mon, 22 Oct 2012 13:36:05 GMT) Full text and rfc822 format available.

Message #42 received at 690551-close@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: 690551-close@bugs.debian.org
Subject: Bug#690551: fixed in curl 7.28.0-2
Date: Mon, 22 Oct 2012 13:32:36 +0000
Source: curl
Source-Version: 7.28.0-2

We believe that the bug you reported is fixed in the latest version of
curl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690551@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro Ghedini <ghedo@debian.org> (supplier of updated curl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Oct 2012 14:35:02 +0200
Source: curl
Binary: curl libcurl3 libcurl3-gnutls libcurl3-nss libcurl4-openssl-dev libcurl4-gnutls-dev libcurl4-nss-dev libcurl3-dbg
Architecture: source amd64
Version: 7.28.0-2
Distribution: unstable
Urgency: low
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Changed-By: Alessandro Ghedini <ghedo@debian.org>
Description: 
 curl       - command line tool for transferring data with URL syntax
 libcurl3   - easy-to-use client-side URL transfer library (OpenSSL flavour)
 libcurl3-dbg - debugging symbols for libcurl (OpenSSL, GnuTLS and NSS flavours)
 libcurl3-gnutls - easy-to-use client-side URL transfer library (GnuTLS flavour)
 libcurl3-nss - easy-to-use client-side URL transfer library (NSS flavour)
 libcurl4-gnutls-dev - development files and documentation for libcurl (GnuTLS flavour)
 libcurl4-nss-dev - development files and documentation for libcurl (NSS flavour)
 libcurl4-openssl-dev - development files and documentation for libcurl (OpenSSL flavour)
Closes: 690551 690968
Changes: 
 curl (7.28.0-2) unstable; urgency=low
 .
   * Add 05_fix-git-over-https.patch (Closes: #690551)
   * Add 06_always-disable-valgrind.patch (Closes: #690968)
Checksums-Sha1: 
 bd4f505b44e3f2940ef0ae3d624aa45a6030d45f 2507 curl_7.28.0-2.dsc
 406746da52485c7b8725a8370b1aa186ffe6eb7e 30507 curl_7.28.0-2.debian.tar.gz
 6a5d61cf5d640f43c0f6c3328d8ac2f755c34620 277464 curl_7.28.0-2_amd64.deb
 e8f5e3e1bc34598af0d65b9c6bb2bf51c2f9aebc 339406 libcurl3_7.28.0-2_amd64.deb
 5894e97aead6d3ba9fe424ebab05369ceea2a4a3 330568 libcurl3-gnutls_7.28.0-2_amd64.deb
 cf7e11582c5fc41053f56dab5c5e20ec167af545 336744 libcurl3-nss_7.28.0-2_amd64.deb
 282b80abad52e4beff5617aec5ebdcd008dc3e18 1293108 libcurl4-openssl-dev_7.28.0-2_amd64.deb
 6d4d3d502ef6f4233218bf2077a68ecaa39e914e 1281996 libcurl4-gnutls-dev_7.28.0-2_amd64.deb
 0e3ea475b5a5e8070d5cced2f5f4eb619e2514e8 1288752 libcurl4-nss-dev_7.28.0-2_amd64.deb
 c821e254ddf20092d6ad624b36c6cf1ea7926998 3390266 libcurl3-dbg_7.28.0-2_amd64.deb
Checksums-Sha256: 
 1432e245d25c857d56dd7c6e026bf9ae19217716d8538818bc20dda2dd6394b9 2507 curl_7.28.0-2.dsc
 82744a57eaef72ed501f64e7d7d6128aae65d78735156e188bb1f3c0db4964e1 30507 curl_7.28.0-2.debian.tar.gz
 3df8f593811d7e0ff74f3b921386841ded9b5a421f3b8519dcdca71e330c5e88 277464 curl_7.28.0-2_amd64.deb
 0e9e636cb8f46cb8b61bd015cafd61ea9111d1a7a36524fb82f06eafe2cf20c3 339406 libcurl3_7.28.0-2_amd64.deb
 b0e20083ba0615fdaee2fbbd2ff6abdea35f78c3a264fca1e28063ea4daa1192 330568 libcurl3-gnutls_7.28.0-2_amd64.deb
 49cb43d0781fbfdb2680f5d02e23524f84edc4918a9c71956004d8739149ea75 336744 libcurl3-nss_7.28.0-2_amd64.deb
 c816c22aa0cf867594f534ecad696326b56231f2d4277512bb08014584812cfb 1293108 libcurl4-openssl-dev_7.28.0-2_amd64.deb
 1e63b1452926b833d1009294ed76b14772f6c25b0449fd90c2c8968a8e191b19 1281996 libcurl4-gnutls-dev_7.28.0-2_amd64.deb
 20cdcf053dd43e6e9bf55de8b46c71b34bb9f08cb0e7929ed94f2559898fb6f3 1288752 libcurl4-nss-dev_7.28.0-2_amd64.deb
 333ec8e257f4d4585754ee3fa52a91a2d287ccfeb354b26f081d7c835b7d80ea 3390266 libcurl3-dbg_7.28.0-2_amd64.deb
Files: 
 bbc8003cf38b657a1d0556e0b6c74b68 2507 web optional curl_7.28.0-2.dsc
 6d5558ed5445c83ccc4b8117628d01a6 30507 web optional curl_7.28.0-2.debian.tar.gz
 00a32ce724057b5e9054f25115f61c65 277464 web optional curl_7.28.0-2_amd64.deb
 a2329b9ba99471991b884916d994c006 339406 libs optional libcurl3_7.28.0-2_amd64.deb
 2cdc9d04821e557f043ef29d7cb6a75c 330568 libs optional libcurl3-gnutls_7.28.0-2_amd64.deb
 feb956cf937345dddf3b2d8ce49e570b 336744 libs optional libcurl3-nss_7.28.0-2_amd64.deb
 2e02ffa89f47b0557b1bc2fbc2d8ddaf 1293108 libdevel optional libcurl4-openssl-dev_7.28.0-2_amd64.deb
 4ce6b8456f67677b50cf3d495e79ba2c 1281996 libdevel optional libcurl4-gnutls-dev_7.28.0-2_amd64.deb
 b1a19f43c12383323c7c5f2ecd8a07ce 1288752 libdevel optional libcurl4-nss-dev_7.28.0-2_amd64.deb
 62d4acb7c9de11d02fa2c92323ca38e0 3390266 debug extra libcurl3-dbg_7.28.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQhUZ7AAoJEK+lG9bN5XPL2UYP/jq6t5rpSpXpgKf4lqGivfrM
4yRkSCX07P4HRMOUUx9m7Uw/PStpxBj/w5k+r9SBVPWhMVTrxYvsd6yuMMJ+2t8i
cG/vUdrivHBKgGlEhk+G/dCgg2Gyf2bWDdkKRWUmZQJd0O0+XK151P3O35XVq6SY
V2SWq3dWum2n7C1QlcebZZboxSoOGwQYDyabtzM8zcG9cL1+dVoJBxICl3iuQ2+b
AEboP7Ep5iT8MJStsrB8PEGAMeo9kO7UnYb+Oz0wxNKvsyAk2sfpRdZw5nUFdQ3T
WQuQ6GB2Z2ZnxdGPuK6zywjpL1ZFWC/SLd55ThHI9uuUQg7j0n4JmrPxolZh46L3
MEe0+CU89r6+RRT4NkNF8wRvD0RUYghQbNhq7j0JssZz+L1kPP69rYctp6Pf6mJB
DVoi1g/dQ4d5nsPUfSWUqqHYr67E766xYQV/PvYyAgXeivZTtlV7CpLfgc3hgNx+
8jm6aCHaGQD75yt9KIHYUIIa2wizIsRPLEX1Qe7jssVSTIQN3XFtaf/gx+iPrFft
XpKIEWkGxFFRMZLSPjhPUEyi0nEhBHP4XA7/HkMouAPpS9APCf15tr8Pi90kODg1
OzZmtFfwr9GVXB5YCCou8bXDBA6H1KveMpPALiO2Ic+MYvmJgbil2qKo6Dd5oB4A
QQ7SN6jEz6f+UppPbDxk
=zKfu
-----END PGP SIGNATURE-----




Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Mon, 22 Oct 2012 13:36:06 GMT) Full text and rfc822 format available.

Notification sent to Ingo Saitz <Ingo.Saitz@stud.uni-hannover.de>:
Bug acknowledged by developer. (Mon, 22 Oct 2012 13:36:06 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Mon, 22 Oct 2012 13:36:07 GMT) Full text and rfc822 format available.

Notification sent to Mhoram <mhoram@gmx.de>:
Bug acknowledged by developer. (Mon, 22 Oct 2012 13:36:07 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Mon, 22 Oct 2012 13:36:07 GMT) Full text and rfc822 format available.

Notification sent to Tony Houghton <h@realh.co.uk>:
Bug acknowledged by developer. (Mon, 22 Oct 2012 13:36:07 GMT) Full text and rfc822 format available.

Bug reopened Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Tue, 23 Oct 2012 14:51:08 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions curl/7.28.0-2. Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Tue, 23 Oct 2012 14:51:10 GMT) Full text and rfc822 format available.

Disconnected #690764 from all other report(s). Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Tue, 23 Oct 2012 14:51:12 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <al3xbio@gmail.com>:
You have taken responsibility. (Tue, 23 Oct 2012 15:03:08 GMT) Full text and rfc822 format available.

Notification sent to Milan Broz <gmazyland@gmail.com>:
Bug acknowledged by developer. (Tue, 23 Oct 2012 15:03:08 GMT) Full text and rfc822 format available.

Message #65 received at 690551-done@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: 690551-done@bugs.debian.org, 690578-done@bugs.debian.org, 690967-done@bugs.debian.org
Subject: closing
Date: Tue, 23 Oct 2012 17:02:35 +0200
[Message part 1 (text/plain, inline)]
Version: 7.28.0-2

I should have unmerged #690764 *before* reopening. Sorry for the noise.

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Reply sent to Alessandro Ghedini <al3xbio@gmail.com>:
You have taken responsibility. (Tue, 23 Oct 2012 15:03:08 GMT) Full text and rfc822 format available.

Notification sent to Ingo Saitz <Ingo.Saitz@stud.uni-hannover.de>:
Bug acknowledged by developer. (Tue, 23 Oct 2012 15:03:08 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <al3xbio@gmail.com>:
You have taken responsibility. (Tue, 23 Oct 2012 15:03:09 GMT) Full text and rfc822 format available.

Notification sent to Tony Houghton <h@realh.co.uk>:
Bug acknowledged by developer. (Tue, 23 Oct 2012 15:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#690551; Package libcurl3-gnutls. (Tue, 23 Oct 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dwayne Litzenberger <dlitz@dlitz.net>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Tue, 23 Oct 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #80 received at 690551@bugs.debian.org (full text, mbox):

From: Dwayne Litzenberger <dlitz@dlitz.net>
To: Alessandro Ghedini <al3xbio@gmail.com>
Cc: 690551@bugs.debian.org
Subject: Re: Bug#690551: libcurl3-gnutls: git fails for https repos
Date: Tue, 23 Oct 2012 12:31:50 -0700
On Mon, Oct 22, 2012 at 01:51:10PM +0200, Alessandro Ghedini wrote:
>I was waiting for the new upstream release which should happen this 
>week, though
>I guess uploading a little earlier won't hurt.
>
>Cheers

Version 7.28.0-2 works great.  Thanks!

-- 
Dwayne C. Litzenberger <dlitz@dlitz.net>
 OpenPGP: 19E1 1FE8 B3CF F273 ED17  4A24 928C EC13 39C2 5CF7



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Nov 2012 07:27:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:54:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.